## python-minikerberos 0.4.4

=== Makefile ===
clean:
	rm -f -r build/
	rm -f -r dist/
	rm -f -r *.egg-info
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +

publish: clean build
	python3 -m twine upload dist/*

rebuild: clean
	pip install .

build:
	pip wheel . -w dist --no-deps
	python3 setup.py sdist

## python-minikerberos 0.4.0

=== debian/changelog ===
python-minikerberos (0.4.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 16:53:11 +0200

python-minikerberos (0.4.0-0kali1) kali-dev; urgency=medium

  * Update debian/watch to get github tarball (with tests data)
  * New upstream version 0.4.0
  * Add missing build-dep for pyproject.toml
  * Do not run the tests

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Mar 2023 13:43:18 +0100

python-minikerberos (0.3.5-0kali1) kali-dev; urgency=medium

  * New upstream version 0.3.5
  * Update debian/copyright
  * Add missing dep python3-unicrypto
  * Bump Standards-Version to 4.6.2
  * Add autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 Feb 2023 17:03:39 +0100

python-minikerberos (0.2.14-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Import upstream version 0.2.5

  [ Ben Wilson ]
  * Consistency with tabs to spaces
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * New upstream version 0.2.14
  * Update debian/copyright
  * Bump Standards-Version to 4.6.0
  * Add missing information in upstream/metadata

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Jan 2022 11:13:46 +0100

python-minikerberos (0.2.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 25 Mar 2020 15:53:39 +0100

=== debian/control ===
Source: python-minikerberos
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
	       pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/skelsec/minikerberos
Testsuite: autopkgtest-pkg-python

Package: python3-minikerberos
Architecture: all
Depends: python3-asn1crypto,
         python3-asysocks,
	 python3-unicrypto,
         ${misc:Depends},
         ${python3:Depends}
Description: Kerberos manipulation library in pure Python (Python 3)
 This package contains Kerberos manipulation library.
 .
 This package installs the library for Python 3.

## python-minikerberos 0.4.4

=== debian/changelog ===
python-minikerberos (0.4.4-0kali2) kali-dev; urgency=medium

  * Fix a Syntax Warning
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Oct 2024 16:02:27 +0100

python-minikerberos (0.4.4-0kali1) kali-dev; urgency=medium

  * New upstream version 0.4.4

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 21 Mar 2024 17:08:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: python-minikerberos
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
 	       pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/skelsec/minikerberos
+Vcs-Browser: https://gitlab.com/kalilinux/packages/python-minikerberos
+Vcs-Git: https://gitlab.com/kalilinux/packages/python-minikerberos.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-minikerberos

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=minikerberos

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# do not run tests

=== debian/tests/control ===
Test-Command: debian/tests/runtest.sh
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-minikerberos-$1.tar.gz%" \
   https://github.com/skelsec/minikerberos/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
